*** ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/exports/ProductExportOperation.java.osr6	Tue Oct 23 14:48:46 2007
--- ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/exports/ProductExportOperation.java	Wed Jan 16 00:14:55 2008
***************
*** 152,159 ****
  		properties.put(IBuildPropertiesConstants.ROOT, getRootFileLocations(hasLaunchers)); //To copy a folder
  		if (!hasLaunchers) {
  			properties.put("root.permissions.755", getLauncherName()); //$NON-NLS-1$
! 			if (TargetPlatform.getWS().equals("motif") && TargetPlatform.getOS().equals("linux")) { //$NON-NLS-1$ //$NON-NLS-2$
! 				properties.put("root.linux.motif.x86.permissions.755", "libXm.so.2"); //$NON-NLS-1$ //$NON-NLS-2$
  			} else if (TargetPlatform.getOS().equals("macosx")) { //$NON-NLS-1$
  				properties.put(
  						"root.macosx.carbon.ppc.permissions.755" ,  //$NON-NLS-1$
--- 152,159 ----
  		properties.put(IBuildPropertiesConstants.ROOT, getRootFileLocations(hasLaunchers)); //To copy a folder
  		if (!hasLaunchers) {
  			properties.put("root.permissions.755", getLauncherName()); //$NON-NLS-1$
! 			if (TargetPlatform.getWS().equals("motif") && TargetPlatform.getOS().equals("sysv5")) { //$NON-NLS-1$ //$NON-NLS-2$
! 				properties.put("root.sysv5.motif.x86.permissions.755", "libXm.so.2"); //$NON-NLS-1$ //$NON-NLS-2$
  			} else if (TargetPlatform.getOS().equals("macosx")) { //$NON-NLS-1$
  				properties.put(
  						"root.macosx.carbon.ppc.permissions.755" ,  //$NON-NLS-1$
***************
*** 435,441 ****
  				images = getWin32Images(info);
  			} else if (os.equals("solaris")) { //$NON-NLS-1$
  				images = getSolarisImages(info);
! 			} else if (os.equals("linux")) { //$NON-NLS-1$
  				images = getExpandedPath(info.getIconPath(ILauncherInfo.LINUX_ICON));
  			} else if (os.equals("macosx")) { //$NON-NLS-1$
  				images = getExpandedPath(info.getIconPath(ILauncherInfo.MACOSX_ICON));
--- 435,441 ----
  				images = getWin32Images(info);
  			} else if (os.equals("solaris")) { //$NON-NLS-1$
  				images = getSolarisImages(info);
! 			} else if (os.equals("sysv5")) { //$NON-NLS-1$
  				images = getExpandedPath(info.getIconPath(ILauncherInfo.LINUX_ICON));
  			} else if (os.equals("macosx")) { //$NON-NLS-1$
  				images = getExpandedPath(info.getIconPath(ILauncherInfo.MACOSX_ICON));
*** ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/product/LauncherInfo.java.osr6	Tue Oct 23 14:48:27 2007
--- ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/product/LauncherInfo.java	Wed Jan 16 00:14:55 2008
***************
*** 74,81 ****
  				Node child = children.item(i);
  				if (child.getNodeType() == Node.ELEMENT_NODE) {
  					String name = child.getNodeName();
! 					if (name.equals("linux")) { //$NON-NLS-1$
  						parseLinux((Element)child);
  					} else if (name.equals("macosx")) { //$NON-NLS-1$
  						parseMac((Element)child);
  					} else if (name.equals("solaris")) { //$NON-NLS-1$
--- 74,83 ----
  				Node child = children.item(i);
  				if (child.getNodeType() == Node.ELEMENT_NODE) {
  					String name = child.getNodeName();
! 					if (name.equals("sysv5")) { //$NON-NLS-1$
  						parseLinux((Element)child);
+ 					} else if (name.equals("sysv5")) { //$NON-NLS-1$
+ 						parseSysv5((Element)child);
  					} else if (name.equals("macosx")) { //$NON-NLS-1$
  						parseMac((Element)child);
  					} else if (name.equals("solaris")) { //$NON-NLS-1$
***************
*** 120,125 ****
--- 122,131 ----
  		fIcons.put(MACOSX_ICON, element.getAttribute("icon")); //$NON-NLS-1$
  	}
  
+ 	private void parseSysv5(Element element) {
+ 		fIcons.put(SYSV5_ICON, element.getAttribute("icon")); //$NON-NLS-1$
+ 	}
+ 
  	private void parseLinux(Element element) {
  		fIcons.put(LINUX_ICON, element.getAttribute("icon")); //$NON-NLS-1$
  	}
***************
*** 130,135 ****
--- 136,142 ----
  			writer.print(" name=\"" + fLauncherName + "\""); //$NON-NLS-1$ //$NON-NLS-2$
  		writer.println(">"); //$NON-NLS-1$
  		
+ 		writeSysv5(indent + "   ", writer); //$NON-NLS-1$
  		writeLinux(indent + "   ", writer); //$NON-NLS-1$
  		writeMac(indent + "   ", writer); //$NON-NLS-1$
  		writeSolaris(indent + "   ", writer); //$NON-NLS-1$
***************
*** 177,186 ****
  			writer.println(indent + "<macosx icon=\"" + getWritableString(icon) + "\"/>"); //$NON-NLS-1$ //$NON-NLS-2$ 
  	}
  
  	private void writeLinux(String indent, PrintWriter writer) {
  		String icon = (String)fIcons.get(LINUX_ICON);
  		if (icon != null && icon.length() > 0)
! 			writer.println(indent + "<linux icon=\"" + getWritableString(icon) + "\"/>"); //$NON-NLS-1$ //$NON-NLS-2$ 
  	}
  
  }
--- 184,199 ----
  			writer.println(indent + "<macosx icon=\"" + getWritableString(icon) + "\"/>"); //$NON-NLS-1$ //$NON-NLS-2$ 
  	}
  
+ 	private void writeSysv5(String indent, PrintWriter writer) {
+ 		String icon = (String)fIcons.get(SYSV5_ICON);
+ 		if (icon != null && icon.length() > 0)
+ 			writer.println(indent + "<sysv5 icon=\"" + getWritableString(icon) + "\"/>"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+ 	}
+ 
  	private void writeLinux(String indent, PrintWriter writer) {
  		String icon = (String)fIcons.get(LINUX_ICON);
  		if (icon != null && icon.length() > 0)
! 			writer.println(indent + "<sysv5 icon=\"" + getWritableString(icon) + "\"/>"); //$NON-NLS-1$ //$NON-NLS-2$ 
  	}
  
  }
*** ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/ILauncherInfo.java.osr6	Tue Oct 23 14:48:39 2007
--- ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/ILauncherInfo.java	Wed Jan 16 00:14:55 2008
***************
*** 12,18 ****
  
  public interface ILauncherInfo extends IProductObject {
  	
! 	public static final String LINUX_ICON = "linuxIcon"; //$NON-NLS-1$
  	
  	public static final String MACOSX_ICON = "macosxIcon"; //$NON-NLS-1$
  	
--- 12,20 ----
  
  public interface ILauncherInfo extends IProductObject {
  	
! 	public static final String SYSV5_ICON = "sysv5Icon"; //$NON-NLS-1$
! 	
! 	public static final String LINUX_ICON = "sysv5Icon"; //$NON-NLS-1$
  	
  	public static final String MACOSX_ICON = "macosxIcon"; //$NON-NLS-1$
  	
*** ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/IArgumentsInfo.java.osr6	Tue Oct 23 14:48:31 2007
--- ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/IArgumentsInfo.java	Wed Jan 16 00:14:55 2008
***************
*** 13,24 ****
--- 13,26 ----
  public interface IArgumentsInfo extends IProductObject {
  	
  	public static final String P_PROG_ARGS = "programArgs"; //$NON-NLS-1$
+ 	public static final String P_PROG_ARGS_SCO = "programArgsSco"; //$NON-NLS-1$
  	public static final String P_PROG_ARGS_LIN = "programArgsLin"; //$NON-NLS-1$
  	public static final String P_PROG_ARGS_MAC = "programArgsMac"; //$NON-NLS-1$
  	public static final String P_PROG_ARGS_SOL = "programArgsSol"; //$NON-NLS-1$
  	public static final String P_PROG_ARGS_WIN = "programArgsWin"; //$NON-NLS-1$
  	
  	public static final String P_VM_ARGS = "vmArgs"; //$NON-NLS-1$
+ 	public static final String P_VM_ARGS_SCO = "vmArgsSco"; //$NON-NLS-1$
  	public static final String P_VM_ARGS_LIN = "vmArgsLin"; //$NON-NLS-1$
  	public static final String P_VM_ARGS_MAC = "vmArgsMac"; //$NON-NLS-1$
  	public static final String P_VM_ARGS_SOL = "vmArgsSol"; //$NON-NLS-1$
***************
*** 29,34 ****
--- 31,37 ----
  	public static final int L_ARGS_MACOS = 2;
  	public static final int L_ARGS_SOLAR = 3;
  	public static final int L_ARGS_WIN32 = 4;
+ 	public static final int L_ARGS_SYSV5 = 5;
  	
  	void setProgramArguments(String args, int platform);
  	
*** ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/IJREInfo.java.osr6	Tue Oct 23 14:48:39 2007
--- ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/IJREInfo.java	Wed Jan 16 00:14:55 2008
***************
*** 12,18 ****
  
  public interface IJREInfo extends IProductObject {
  	
! 	public static final String JRE_LIN = "linux"; //$NON-NLS-1$
  	public static final String JRE_MAC = "macos"; //$NON-NLS-1$
  	public static final String JRE_SOL = "solaris"; //$NON-NLS-1$
  	public static final String JRE_WIN = "windows"; //$NON-NLS-1$
--- 12,18 ----
  
  public interface IJREInfo extends IProductObject {
  	
! 	public static final String JRE_LIN = "sysv5"; //$NON-NLS-1$
  	public static final String JRE_MAC = "macos"; //$NON-NLS-1$
  	public static final String JRE_SOL = "solaris"; //$NON-NLS-1$
  	public static final String JRE_WIN = "windows"; //$NON-NLS-1$
*** plugins/org.eclipse.pde.core/javaCompiler...args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.pde.core/javaCompiler...args	Thu Jan 17 09:07:47 2008
***************
*** 74,79 ****
--- 74,81 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[?**/*]
***************
*** 130,135 ****
--- 132,139 ----
  #ADAPTER#ACCESS#org.eclipse.update.core_3.2.101.R33x_v20070911/bin/[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core_3.2.101.R33x_v20070911/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.update.core.sysv5/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.update.core.sysv5_3.2.0.v20070615/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core.linux/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core.linux_3.2.0.v20070615/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core.win32/@dot[?**/*]
*** plugins/org.eclipse.pde.core/javaCompiler.ant_tasks_pde-ant.jar.args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.pde.core/javaCompiler.ant_tasks_pde-ant.jar.args	Thu Jan 17 09:08:40 2008
***************
*** 74,79 ****
--- 74,81 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[?**/*]
***************
*** 130,135 ****
--- 132,139 ----
  #ADAPTER#ACCESS#org.eclipse.update.core_3.2.101.R33x_v20070911/bin/[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core_3.2.101.R33x_v20070911/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.update.core.sysv5/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.update.core.sysv5_3.2.0.v20070615/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core.linux/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core.linux_3.2.0.v20070615/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.update.core.win32/@dot[?**/*]
*** plugins/org.eclipse.team.cvs.ssh/javaCompiler...args.osr6	Tue Oct 23 14:31:15 2007
--- plugins/org.eclipse.team.cvs.ssh/javaCompiler...args	Thu Jan 17 09:18:48 2008
***************
*** 73,78 ****
--- 73,80 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[?**/*]
*** plugins/org.eclipse.debug.core/javaCompiler...args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.debug.core/javaCompiler...args	Thu Jan 17 09:21:01 2008
***************
*** 74,79 ****
--- 74,81 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
*** ./plugins/org.eclipse.core.filesystem/natives/unix/sysv5/include/os_custom.h.osr6	Wed Jan 16 00:14:55 2008
--- ./plugins/org.eclipse.core.filesystem/natives/unix/sysv5/include/os_custom.h	Wed Jan 16 00:14:55 2008
***************
*** 0 ****
--- 1,23 ----
+ /***********************************************************************
+ * Copyright (c) 2005, 2007 IBM Corporation and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     IBM Corporation - initial API and implementation
+ * Martin Oberhuber (Wind River) - [183137] liblocalfile for solaris-sparc
+ ***********************************************************************/
+ 
+ /* Use this directive when introducing platform-specific code in localfile.c */
+ #ifndef LINUX
+ #define LINUX
+ #endif
+ 
+ /* Linux supports reading symbolic links */
+ #ifndef EFS_SYMLINK_SUPPORT
+ #define EFS_SYMLINK_SUPPORT
+ #endif
+ #include <limits.h>
+ #include <unistd.h>
*** ./plugins/org.eclipse.core.filesystem/natives/unix/sysv5/Makefile.osr6	Wed Jan 16 00:14:55 2008
--- ./plugins/org.eclipse.core.filesystem/natives/unix/sysv5/Makefile	Wed Jan 16 00:14:55 2008
***************
*** 0 ****
--- 1,32 ----
+ #**********************************************************************
+ # Copyright (c) 2000, 2004 IBM Corporation and others.
+ # All rights reserved. This program and the accompanying materials 
+ # are made available under the terms of the Eclipse Public License v1.0
+ # which accompanies this distribution, and is available at
+ # http://www.eclipse.org/legal/epl-v10.html
+ #********************************************************************** 
+ #
+ # makefile for libcore.so
+ 
+ CORE.C = ../localfile.c
+ CORE.O = localfile.o
+ LIB_NAME = liblocalfile.so
+ LIB_NAME_FULL = liblocalfile_1_0_0.so
+ 
+ #Set this to be your OS type
+ OS_TYPE = sysv5
+ 
+ #Set this to be the location of your JRE
+ JAVA_HOME = /usr/java
+ 
+ JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/unixware
+ COMMON_INCLUDE = -Iinclude
+ #OPT_FLAGS=-g
+ OPT_FLAGS=-O
+ 
+ core :
+ 	cc $(OPT_FLAGS) -KPIC -c $(JDK_INCLUDE) $(COMMON_INCLUDE) -o $(CORE.O) $(CORE.C)
+ 	cc $(OPT_FLAGS) -G -Wl,-h,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O)
+ 
+ clean :
+ 	rm *.o
*** ./plugins/org.eclipse.ui.browser/src/org/eclipse/ui/internal/browser/WebBrowserUtil.java.osr6	Tue Oct 23 14:48:25 2007
--- ./plugins/org.eclipse.ui.browser/src/org/eclipse/ui/internal/browser/WebBrowserUtil.java	Wed Jan 16 00:14:55 2008
***************
*** 58,64 ****
  	}
  
  	/**
! 	 * Returns true if we're running on linux.
  	 * 
  	 * @return boolean
  	 */
--- 58,76 ----
  	}
  
  	/**
! 	 * Returns true if we're running on SCO.
! 	 * 
! 	 * @return boolean
! 	 */
! 	public static boolean isSysv5() {
! 		String os = System.getProperty("os.name"); //$NON-NLS-1$
! 		if (os != null && os.toLowerCase().indexOf("sys") >= 0) //$NON-NLS-1$
! 			return true;
! 		return false;
! 	}
! 
! 	/**
! 	 * Returns true if we're running on sysv5.
  	 * 
  	 * @return boolean
  	 */
***************
*** 293,296 ****
  		}
  		return encodedId;
  	}
! }
\ No newline at end of file
--- 305,308 ----
  		}
  		return encodedId;
  	}
! }
*** plugins/org.eclipse.jsch.core/javaCompiler...args.osr6	Tue Oct 23 14:31:15 2007
--- plugins/org.eclipse.jsch.core/javaCompiler...args	Thu Jan 17 09:25:04 2008
***************
*** 74,79 ****
--- 74,81 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[?**/*]
*** ./plugins/org.eclipse.core.runtime/src/org/eclipse/core/internal/runtime/InternalPlatform.java.osr6	Tue Oct 23 14:48:48 2007
--- ./plugins/org.eclipse.core.runtime/src/org/eclipse/core/internal/runtime/InternalPlatform.java	Wed Jan 16 00:14:55 2008
***************
*** 61,67 ****
  	//XXX This is not synchronized
  	private static Map logs = new HashMap(5);
  
! 	private static final String[] OS_LIST = {Platform.OS_AIX, Platform.OS_HPUX, Platform.OS_LINUX, Platform.OS_MACOSX, Platform.OS_QNX, Platform.OS_SOLARIS, Platform.OS_WIN32};
  	private static String password = ""; //$NON-NLS-1$
  	private static final String PASSWORD = "-password"; //$NON-NLS-1$
  	private static PlatformLogWriter platformLog = null;
--- 61,67 ----
  	//XXX This is not synchronized
  	private static Map logs = new HashMap(5);
  
! 	private static final String[] OS_LIST = {Platform.OS_AIX, Platform.OS_HPUX, Platform.OS_SYSV5, Platform.OS_LINUX, Platform.OS_MACOSX, Platform.OS_QNX, Platform.OS_SOLARIS, Platform.OS_WIN32};
  	private static String password = ""; //$NON-NLS-1$
  	private static final String PASSWORD = "-password"; //$NON-NLS-1$
  	private static PlatformLogWriter platformLog = null;
*** ./plugins/org.eclipse.core.runtime/src/org/eclipse/core/runtime/Platform.java.osr6	Tue Oct 23 14:48:27 2007
--- ./plugins/org.eclipse.core.runtime/src/org/eclipse/core/runtime/Platform.java	Wed Jan 16 00:14:55 2008
***************
*** 193,199 ****
  	public static final String OS_WIN32 = "win32";//$NON-NLS-1$
  
  	/**
! 	 * Constant string (value "linux") indicating the platform is running on a
  	 * Linux-based operating system.
  	 * <p>
  	 * Note this constant has been moved from the deprecated 
--- 193,210 ----
  	public static final String OS_WIN32 = "win32";//$NON-NLS-1$
  
  	/**
! 	 * Constant string (value "sysv5") indicating the platform is running
! 	 * on a UNIX SVR5-based operating system.
! 	 * <p>
! 	 * Note this constant has been moved from the deprecated 
! 	 * org.eclipse.core.boot.BootLoader class and its value has not changed.
! 	 * </p>
! 	 * @since 3.0
! 	 */
! 	public static final String OS_SYSV5 = "sysv5";//$NON-NLS-1$
! 
! 	/**
! 	 * Constant string (value "sysv5") indicating the platform is running on a
  	 * Linux-based operating system.
  	 * <p>
  	 * Note this constant has been moved from the deprecated 
***************
*** 201,207 ****
  	 * </p>
  	 * @since 3.0
  	 */
! 	public static final String OS_LINUX = "linux";//$NON-NLS-1$
  
  	/**
  	 * Constant string (value "aix") indicating the platform is running on an
--- 212,218 ----
  	 * </p>
  	 * @since 3.0
  	 */
! 	public static final String OS_LINUX = "sysv5";//$NON-NLS-1$
  
  	/**
  	 * Constant string (value "aix") indicating the platform is running on an
*** plugins/org.eclipse.core.resources.compatibility/javaCompiler...args.osr6	Tue Oct 23 14:31:15 2007
--- plugins/org.eclipse.core.resources.compatibility/javaCompiler...args	Thu Jan 17 09:36:46 2008
***************
*** 66,71 ****
--- 66,73 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
*** plugins/org.eclipse.jdt.apt.pluggable.core/javaCompiler...args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.jdt.apt.pluggable.core/javaCompiler...args	Thu Jan 17 09:48:35 2008
***************
*** 85,90 ****
--- 85,92 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[?**/*]
*** ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/core/runtime/internal/adaptor/EclipseEnvironmentInfo.java.osr6	Tue Oct 23 14:48:25 2007
--- ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/core/runtime/internal/adaptor/EclipseEnvironmentInfo.java	Wed Jan 16 00:14:56 2008
***************
*** 32,37 ****
--- 32,38 ----
  	// While we recognize the SunOS operating system, we change
  	// this internally to be Solaris.
  	private static final String INTERNAL_OS_SUNOS = "SunOS"; //$NON-NLS-1$
+ 	private static final String INTERNAL_OS_SYSV5 = "Sysv5"; //$NON-NLS-1$
  	private static final String INTERNAL_OS_LINUX = "Linux"; //$NON-NLS-1$
  	private static final String INTERNAL_OS_MACOSX = "Mac OS"; //$NON-NLS-1$
  	private static final String INTERNAL_OS_AIX = "AIX"; //$NON-NLS-1$
***************
*** 187,192 ****
--- 188,195 ----
  		// setup default values for known OSes if nothing was specified
  		if (os.equals(Constants.OS_WIN32))
  			return Constants.WS_WIN32;
+ 		if (os.equals(Constants.OS_SYSV5))
+ 			return Constants.WS_GTK;
  		if (os.equals(Constants.OS_LINUX))
  			return Constants.WS_MOTIF;
  		if (os.equals(Constants.OS_MACOSX))
***************
*** 210,215 ****
--- 213,220 ----
  		// EXCEPTION: All mappings of SunOS convert to Solaris
  		if (osName.equalsIgnoreCase(INTERNAL_OS_SUNOS))
  			return Constants.OS_SOLARIS;
+ 		if (osName.equalsIgnoreCase(INTERNAL_OS_SYSV5))
+ 			return Constants.OS_SYSV5;
  		if (osName.equalsIgnoreCase(INTERNAL_OS_LINUX))
  			return Constants.OS_LINUX;
  		if (osName.equalsIgnoreCase(INTERNAL_OS_QNX))
*** ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/core/runtime/internal/adaptor/PluginConverterImpl.java.osr6	Tue Oct 23 14:48:36 2007
--- ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/core/runtime/internal/adaptor/PluginConverterImpl.java	Wed Jan 16 00:14:56 2008
***************
*** 68,74 ****
  	static public final String FRAGMENT_MANIFEST = "fragment.xml"; //$NON-NLS-1$
  	static public final String GENERATED_FROM = "Generated-from"; //$NON-NLS-1$
  	static public final String MANIFEST_TYPE_ATTRIBUTE = "type"; //$NON-NLS-1$
! 	private static final String[] OS_LIST = {org.eclipse.osgi.service.environment.Constants.OS_AIX, org.eclipse.osgi.service.environment.Constants.OS_HPUX, org.eclipse.osgi.service.environment.Constants.OS_LINUX, org.eclipse.osgi.service.environment.Constants.OS_MACOSX, org.eclipse.osgi.service.environment.Constants.OS_QNX, org.eclipse.osgi.service.environment.Constants.OS_SOLARIS, org.eclipse.osgi.service.environment.Constants.OS_WIN32};
  	protected static final String PI_RUNTIME = "org.eclipse.core.runtime"; //$NON-NLS-1$
  	protected static final String PI_BOOT = "org.eclipse.core.boot"; //$NON-NLS-1$
  	protected static final String PI_RUNTIME_COMPATIBILITY = "org.eclipse.core.runtime.compatibility"; //$NON-NLS-1$
--- 68,74 ----
  	static public final String FRAGMENT_MANIFEST = "fragment.xml"; //$NON-NLS-1$
  	static public final String GENERATED_FROM = "Generated-from"; //$NON-NLS-1$
  	static public final String MANIFEST_TYPE_ATTRIBUTE = "type"; //$NON-NLS-1$
! 	private static final String[] OS_LIST = {org.eclipse.osgi.service.environment.Constants.OS_AIX, org.eclipse.osgi.service.environment.Constants.OS_HPUX, org.eclipse.osgi.service.environment.Constants.OS_SYSV5, org.eclipse.osgi.service.environment.Constants.OS_LINUX, org.eclipse.osgi.service.environment.Constants.OS_MACOSX, org.eclipse.osgi.service.environment.Constants.OS_QNX, org.eclipse.osgi.service.environment.Constants.OS_SOLARIS, org.eclipse.osgi.service.environment.Constants.OS_WIN32};
  	protected static final String PI_RUNTIME = "org.eclipse.core.runtime"; //$NON-NLS-1$
  	protected static final String PI_BOOT = "org.eclipse.core.boot"; //$NON-NLS-1$
  	protected static final String PI_RUNTIME_COMPATIBILITY = "org.eclipse.core.runtime.compatibility"; //$NON-NLS-1$
*** ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/osgi/service/environment/Constants.java.osr6	Tue Oct 23 14:48:43 2007
--- ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/osgi/service/environment/Constants.java	Wed Jan 16 00:14:56 2008
***************
*** 23,32 ****
  	public static final String OS_WIN32 = "win32";//$NON-NLS-1$
  
  	/**
! 	 * Constant string (value "linux") indicating the platform is running on a
  	 * Linux-based operating system.
  	 */
! 	public static final String OS_LINUX = "linux";//$NON-NLS-1$
  
  	/**
  	 * Constant string (value "aix") indicating the platform is running on an
--- 23,38 ----
  	public static final String OS_WIN32 = "win32";//$NON-NLS-1$
  
  	/**
! 	 * Constant string (value "sysv5") indicating the platform is running
! 	 * on a UNIX SVR5-based operating system.
! 	 */
! 	public static final String OS_SYSV5 = "sysv5";//$NON-NLS-1$
! 
! 	/**
! 	 * Constant string (value "sysv5") indicating the platform is running on a
  	 * Linux-based operating system.
  	 */
! 	public static final String OS_LINUX = "sysv5";//$NON-NLS-1$
  
  	/**
  	 * Constant string (value "aix") indicating the platform is running on an
*** ./plugins/org.eclipse.osgi/core/adaptor/org/eclipse/osgi/util/TextProcessor.java.osr6	Tue Oct 23 14:48:45 2007
--- ./plugins/org.eclipse.osgi/core/adaptor/org/eclipse/osgi/util/TextProcessor.java	Wed Jan 16 00:14:56 2008
***************
*** 82,88 ****
  			isBidi = true;
  		
  		String osName = System.getProperty("os.name").toLowerCase(); //$NON-NLS-1$
! 		if (osName.startsWith("windows") || osName.startsWith("linux")) { //$NON-NLS-1$	//$NON-NLS-2$
  																			
  			// Only consider platforms that can support control characters
  			isSupportedPlatform = true;
--- 82,88 ----
  			isBidi = true;
  		
  		String osName = System.getProperty("os.name").toLowerCase(); //$NON-NLS-1$
! 		if (osName.startsWith("windows") || osName.startsWith("sysv5")) { //$NON-NLS-1$	//$NON-NLS-2$
  																			
  			// Only consider platforms that can support control characters
  			isSupportedPlatform = true;
*** ./plugins/org.eclipse.osgi/core/framework/org/eclipse/osgi/framework/internal/core/osname.aliases.osr6	Tue Oct 23 14:48:36 2007
--- ./plugins/org.eclipse.osgi/core/framework/org/eclipse/osgi/framework/internal/core/osname.aliases	Wed Jan 16 00:14:56 2008
***************
*** 20,25 ****
--- 20,26 ----
  FreeBSD                                  # Free BSD
  HPUX                                     # Hewlett Packard
  IRIX                                     # Sillicon Graphics
+ Sysv5                                    # SCO SVR5 UNIX
  Linux                                    # Open source
  MacOS "Mac OS"                   # Apple
  MacOSX "Mac OS X"              # Apple 
*** ./plugins/org.eclipse.update.core/src/org/eclipse/update/internal/core/UpdateManagerUtils.java.osr6	Tue Oct 23 14:48:45 2007
--- ./plugins/org.eclipse.update.core/src/org/eclipse/update/internal/core/UpdateManagerUtils.java	Wed Jan 16 00:14:56 2008
***************
*** 66,71 ****
--- 66,73 ----
  			.equals(Platform.getOS())
  			|| org.eclipse.osgi.service.environment.Constants.OS_AIX
  					.equals(Platform.getOS())
+ 			|| org.eclipse.osgi.service.environment.Constants.OS_SYSV5
+ 					.equals(Platform.getOS())
  			|| org.eclipse.osgi.service.environment.Constants.OS_LINUX
  					.equals(Platform.getOS())
  			|| org.eclipse.osgi.service.environment.Constants.OS_SOLARIS
